/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_ddev.h,v 1.2 1997/09/25 16:47:12 ae59 Exp $ */
/*
$Log: t_ddev.h,v $
 * Revision 1.2  1997/09/25  16:47:12  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:12  ae59
 * Put under RCS control
 *
 */
#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_defs.h"
#else
#include "t_defs.h"
#endif

#ifdef LINT_ARGS

#ifdef ANSI_C

extern int dadd(const DReal *arg1, const DReal *arg2, DReal *res);
extern int dsub(const DReal *arg1, const DReal *arg2, DReal *res);
extern int msplitee(const ExtReal *arg, ExtReal *ures, ExtReal *lres);
extern int dmshift(const DExp e, const DMant *arg, DMant *res);
extern int dmadjust(const DMant *m, const int len, DMant *mr, DExp *shiftr);

#else  /* NOT ANSI_C */

extern int dadd(DReal *arg1, DReal *arg2, DReal *res);
extern int dsub(DReal *arg1, DReal *arg2, DReal *res);
extern int msplitee(ExtReal *arg, ExtReal *ures, ExtReal *lres);
extern int dmshift(DExp e, DMant *arg, DMant *res);
extern int dmadjust(DMant *m, int len, DMant *mr, DExp *shiftr);

#endif /* ANSI_C */

#else  /* NOT LINT_ARGS */

extern int dadd();
extern int dsub();
extern int msplitee(), dmshift(), dmadjust();

#endif /* LINT_ARGS */
